<?php
/*
 * Copyright (c) Pickware GmbH. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace Shopware\Plugins\ViisonCommon\Classes;

class PickwareAutoloadDependencyLoader
{
    /**
     * @var bool
     */
    private static $dependenciesLoaded = false;

    public static function ensureDependenciesLoaded()
    {
        if (self::$dependenciesLoaded) {
            return;
        }
        require_once(__DIR__ . '/../pickware-autoload/autoload.php');
        self::$dependenciesLoaded = true;
    }
}
